.. _sec-c-api-xnvme_cmd:

===========
 xnvme_cmd
===========



.. _sec-c-api-xnvme_cmd-header:

Header
======

.. literalinclude:: ../../include/libxnvme_cmd.h
   :language: c



.. _sec-c-api-xnvme_cmd-enum:

Enums
=====



.. _sec-c-api-xnvme_cmd-struct:

Structs
=======


.. _sec-c-api-xnvme_cmd-struct-xnvme_cmd_ctx:

xnvme_cmd_ctx
-------------

.. doxygenstruct:: xnvme_cmd_ctx
   :members:
   :undoc-members:



.. _sec-c-api-xnvme_cmd-func:

Functions
=========


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_ctx_clear:

xnvme_cmd_ctx_clear
-------------------

.. doxygenfunction:: xnvme_cmd_ctx_clear


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_ctx_cpl_status:

xnvme_cmd_ctx_cpl_status
------------------------

.. doxygenfunction:: xnvme_cmd_ctx_cpl_status


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_ctx_from_dev:

xnvme_cmd_ctx_from_dev
----------------------

.. doxygenfunction:: xnvme_cmd_ctx_from_dev


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_ctx_from_queue:

xnvme_cmd_ctx_from_queue
------------------------

.. doxygenfunction:: xnvme_cmd_ctx_from_queue


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_ctx_pr:

xnvme_cmd_ctx_pr
----------------

.. doxygenfunction:: xnvme_cmd_ctx_pr


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_ctx_set_cb:

xnvme_cmd_ctx_set_cb
--------------------

.. doxygenfunction:: xnvme_cmd_ctx_set_cb


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_pass:

xnvme_cmd_pass
--------------

.. doxygenfunction:: xnvme_cmd_pass


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_pass_admin:

xnvme_cmd_pass_admin
--------------------

.. doxygenfunction:: xnvme_cmd_pass_admin


.. _sec-c-api-xnvme_cmd-func-xnvme_cmd_passv:

xnvme_cmd_passv
---------------

.. doxygenfunction:: xnvme_cmd_passv

